v_voip_framer: XFramer_Config Struct Reference

| v_voip_framer Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XFramer_Config Struct Reference

This typedef contains configuration information for the VoIP Framer core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the VoIP Framer core. More...
UINTPTR | BaseAddress
    BaseAddress is the physical
base address of the core's registers More...
u16 | HWChannelNumber
    Current Supported Channel
by the core More...
u16 | OverflowHandlingStrategy
| Overflow Handling Strategy Enable. More...

## Detailed Description

This typedef contains configuration information for the VoIP Framer core.

Each VoIP Framer device should have a configuration structure associated.

## Field Documentation

UINTPTR XFramer_Config::BaseAddress

    BaseAddress is the physical

base address of the core's registers

Referenced by XFramer_CfgInitialize(), XFramer_ChStatus(), XFramer_ClearDropPcktCnt(), XFramer_ClearPeakBufferLevel(), XFramer_ClearRXPcktCnt(), XFramer_ClearTXPcktCnt(), XFramer_CoreInfo(), XFramer_EthDestAddr0(), XFramer_EthDestAddr1(), XFramer_EthSrcAddr0(), XFramer_EthSrcAddr1(), XFramer_FECTOS(), XFramer_FECTTL(), XFramer_GetDropPcktCnt(), XFramer_GetEthSrcAddr0(), XFramer_GetEthSrcAddr1(), XFramer_GetPeakBufferLevel(), XFramer_GetRXPcktCnt(), XFramer_GetTransmitEnable(), XFramer_GetTXPcktCnt(), XFramer_IP0Dest(), XFramer_IP0Src(), XFramer_MediaTOS(), XFramer_MediaTTL(), XFramer_SetVLAN(), XFramer_TransmitEnable(), XFramer_UDPDest(), XFramer_UDPSrc(), and XFramer_VLANID().

u16 XFramer_Config::DeviceId

DeviceId is the unique ID of the VoIP Framer core.

u16 XFramer_Config::HWChannelNumber

    Current Supported Channel

by the core

Referenced by XFramer_CfgInitialize(), and XFramer_CoreInfo().

u16 XFramer_Config::OverflowHandlingStrategy

Overflow Handling Strategy Enable.

Referenced by XFramer_CfgInitialize(), and XFramer_CoreInfo().